/*

  File:     mpt.h
  Author:   EID
  Date:     Sep, 14 2003

*/
#include <windows.h>
#include "setupapi.h"
#include "hidsdi.h"

#ifdef __cplusplus
extern "C" {
#endif

typedef struct
{
	HANDLE							 deviceHandle;
	PSP_INTERFACE_DEVICE_DETAIL_DATA deviceDetail;
	unsigned int					 deviceIndex;
} MptDeviceInformation;


__declspec(dllexport) void InitMptLibraries() ;
                 
__declspec(dllexport) void SetDataBit(MptDeviceInformation* deviceInformation,
				 unsigned char portNumber,
				 unsigned char bitNumber,
				 unsigned char value);

__declspec(dllexport) void SetPullupBit(MptDeviceInformation* deviceInformation,
				   unsigned char portNumber,
				   unsigned char bitNumber,
				   unsigned char value);

__declspec(dllexport) void SetISink(MptDeviceInformation* deviceInformation,
			   unsigned char portNumber,
			   unsigned char bitNumber,
			   unsigned char value);

__declspec(dllexport) unsigned char ReadDataBit(MptDeviceInformation* deviceInformation,
				  unsigned char portNumber,
			      unsigned char bitNumber);

__declspec(dllexport) HANDLE OpenFirstMptDevice(MptDeviceInformation* mptDeviceInformation);

__declspec(dllexport) HANDLE OpenNextMptDevice(MptDeviceInformation* lastMptDeviceInformation,
							 MptDeviceInformation* nextMptDeviceInformation);

__declspec(dllexport) void CloseMptDevice(MptDeviceInformation* mptDeviceInformation);

#ifdef __cplusplus
}
#endif
